Subject: [PATCH v6] Re: mailinfo: allow e-mail files as input

From: Nicolas Sebrecht <[email-masked]>
Date: Sat, 18 Jul 2009 00:04:24 +0200

The 17/07/09, Junio C Hamano wrote:
> Nanako Shiraishi <[email-masked]> writes:
> 
> > Why does this description have ... in it? If I'm reading it correctly, the code in check_patch_format function checks only the first file.

( Please, wrap your lines to something convenient. )

> Good eyes.
> 
> This actually is an issue with the Guiseppe's multi-format support patch
> in that we assume that the command line input are of uniform type, check
> only $1 and assume $2 and subsequent are suitable to be fed to the same
> splitter.
> 
> I do not think it is necessary to allow mixed input.  We certainly could,
> but why bother?  It is not a sensible nor common thing to do.

I agree.

> Also the documentation said we take only one mbox or multiple Maildirs,
> but in reality we can take multiple mboxes just fine, so <mbox> should
> have had "..." at the end (we could lose the ellipses from all of them for
> brevity).  Oh, and it should list the other formats Giuseppe added.
> 
>     <mbox>|<maildir>|<email>::
> 
> 	    One or more of the same type of mail source to read e-mails
>             from.  A directory is taken as a mailbox in the maildir
>             format.  A file is taken as UNIX mbox, StGit patch series
>             file, or a single piece of e-mail in RFC2822 format.

Strictly speacking, this is not what I understand from the code: only
one StGit patch series can be given at the command line.

     <mbox>|<maildir>|<stgit>|<email>::
 
 	    One or more of the same type of mail source to read e-mails
             from.  A directory is taken as a mailbox in the maildir
             format.  A file is taken as UNIX mbox, StGit patch file,
             or a single piece of e-mail in RFC2822 format.  StGit
             patches series are also supported but only one series at
             a time. 

-- 
Nicolas Sebrecht